Summary: A GNU set of database routines compatibility library
Name: compat-gdbm
Version: 1.8.0
Release: 1%{?dist}
Source: http://ftp.gnu.org/gnu/gdbm/gdbm-%{version}.tar.gz
Patch0: gdbm-1.8.0-jbj.patch
Patch1: gdbm-1.8.0-fhs.patch
Patch3: gdbm-1.8.0-64offset.patch
License: GPLv2+
URL: http://www.gnu.org/software/gdbm/
Group: System Environment/Libraries
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: libtool
Obsoletes: gdbm <= 1.8.0, gdbm-devel <= 1.8.0

%description
Gdbm is a GNU database indexing library, including routines which use
extensible hashing.  Gdbm works in a similar way to standard UNIX dbm
routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

This package contains older version of gdbm which was included in
previous release of Fedora. 

%prep
%setup -q -n gdbm-%{version}
%patch0 -p1 -b .jbj
%patch1 -p1 -b .fhs
%patch3 -p1 -b .offset

%build
# refresh config.sub, the original one does not recognize "redhat"
# as vendorname:
for f in /usr/share/automake-1.1?/config.sub; do
  :
done
cp -p $f .
libtoolize --force --copy
aclocal
autoconf
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

%makeinstall install-compat
ln -sf libgdbm.so.2.0.0 $RPM_BUILD_ROOT/%{_libdir}/libgdbm.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/libgdbm.la

# Devel files are almost identical to gdbm-devel package.
# Packages should be built against gdbm-devel.
rm -f $RPM_BUILD_ROOT/%{_libdir}/libgdbm.so
rm -f $RPM_BUILD_ROOT/%{_libdir}/libgdbm.a
rm -rf $RPM_BUILD_ROOT/%{_includedir}/gdbm*
rm -f $RPM_BUILD_ROOT/%{_infodir}/*.info*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man3/*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_libdir}/libgdbm.so.2*

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Thu Mar 11 2010 Karel Klic <kklic@redhat.com> - 1.8.0-1
- Initial compat package created from gdbm package 1.8.0-33
